package com.bankaudit.dto.process;

import java.io.Serializable;

public class NonCompliancePersistenceChecklistDto implements Serializable {

	private static final long serialVersionUID = -5673259723991517649L;

	private String serialNumber;
	private Integer legalEntityCode;
	private String auditTypeCode;
	private String auditId;
	private String observationId;
	private String groupObservationId;
	private String mappingId;
	
	private String chapterCode;
	private String sectionCode;
	private String productCode;
	private String processCode;
	private String checklistCode;
	
	private String chapter;
	private String section;
	private String product;
	private String process;
	private String checklist;

	private String findingRemarks;
	private String standardStatement;
	private String nonCompliancePersistenceRemark; 
	 

	public String getSerialNumber() {
		return serialNumber;
	}

	public void setSerialNumber(String serialNumber) {
		this.serialNumber = serialNumber;
	}

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	public String getAuditId() {
		return auditId;
	}

	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}

	public String getObservationId() {
		return observationId;
	}

	public void setObservationId(String observationId) {
		this.observationId = observationId;
	}

	public String getGroupObservationId() {
		return groupObservationId;
	}

	public void setGroupObservationId(String groupObservationId) {
		this.groupObservationId = groupObservationId;
	}

	public String getMappingId() {
		return mappingId;
	}

	public void setMappingId(String mappingId) {
		this.mappingId = mappingId;
	}	

	public String getChapterCode() {
		return chapterCode;
	}

	public void setChapterCode(String chapterCode) {
		this.chapterCode = chapterCode;
	}

	public String getSectionCode() {
		return sectionCode;
	}

	public void setSectionCode(String sectionCode) {
		this.sectionCode = sectionCode;
	}

	public String getProductCode() {
		return productCode;
	}

	public void setProductCode(String productCode) {
		this.productCode = productCode;
	}

	public String getProcessCode() {
		return processCode;
	}

	public void setProcessCode(String processCode) {
		this.processCode = processCode;
	}

	public String getChecklistCode() {
		return checklistCode;
	}

	public void setChecklistCode(String checklistCode) {
		this.checklistCode = checklistCode;
	}

	public String getChapter() {
		return chapter;
	}

	public void setChapter(String chapter) {
		this.chapter = chapter;
	}

	public String getSection() {
		return section;
	}

	public void setSection(String section) {
		this.section = section;
	}

	public String getProduct() {
		return product;
	}

	public void setProduct(String product) {
		this.product = product;
	}

	public String getProcess() {
		return process;
	}

	public void setProcess(String process) {
		this.process = process;
	}

	public String getChecklist() {
		return checklist;
	}

	public void setChecklist(String checklist) {
		this.checklist = checklist;
	}

	public String getFindingRemarks() {
		return findingRemarks;
	}

	public void setFindingRemarks(String findingRemarks) {
		this.findingRemarks = findingRemarks;
	}

	public String getStandardStatement() {
		return standardStatement;
	}

	public void setStandardStatement(String standardStatement) {
		this.standardStatement = standardStatement;
	}

	public String getNonCompliancePersistenceRemark() {
		return nonCompliancePersistenceRemark;
	}

	public void setNonCompliancePersistenceRemark(String nonCompliancePersistenceRemark) {
		this.nonCompliancePersistenceRemark = nonCompliancePersistenceRemark;
	}

}
